Bug 729143 - Failed to load your global permissions - none granted.
Failed to load your global permissions - none granted.
Status: CLOSED INSUFFICIENT_DATA
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-08 16:19 EDT by Mike Foley
Modified: 2011-08-19 15:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-19 15:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-08-08 16:19:06 EDT
Description of problem:  Failed to load your global permissions - none granted.  Sporadic.


Version-Release number of selected component (if applicable):


How reproducible:

Sporadic

Steps to Reproduce:
1.  n/a  
2.
3.
  
Actual results:

sporadic errors

Expected results:

no sporadic errors

Additional info:
Message :	
Failed to load your global permissions - none granted.
Severity :	
Error
	
Time :	
Monday, August 8, 2011 3:56:05 PM Etc/GMT+4
Detail :	
com.google.gwt.user.client.rpc.InvocationException:
--- STACK TRACE FOLLOWS ---

    at Unknown.java_lang_Throwable_fillInStackTrace__Ljava_lang_Throwable_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_InvocationException_$InvocationException__Lcom_google_gwt_user_client_rpc_InvocationException_2Ljava_lang_String_2Lcom_google_gwt_user_client_rpc_InvocationException_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
Comment 1 Charles Crouch 2011-08-11 17:18:27 EDT
Jay, did I just see that you thought you fixed this? If so can you close this 
as a dupe
Comment 2 Jay Shaughnessy 2011-08-12 09:18:15 EDT
Are you referring to the sporadic issue with storing user preferences?  I'm not sure this is related. I think it's unlikely. It may not be impossible, as both have to do with the Subject but global perms come from the assigned roles and don't have anything to do with user prefs.

I have not seen or noticed this problem and the stack doesn't give us much to go on.  If it happens again it would be important to check the server-side log as well, for any corresponding errors.
Comment 3 Mike Foley 2011-08-12 09:31:13 EDT
there were no errors in the server-side log.
Comment 4 Ian Springer 2011-08-19 15:44:12 EDT
Mike, I'm going to close this for now, since I don't know how to reproduce it. If you see it again, please reopen this BZ and provide as much detail as you can about what were doing at the time the exception occurred - what view did you go to? were you doing any fast clicking? etc. Also make sure you paste in the entire stack trace - the trace above seems to be missing the root cause. If the GUI message center doesn't have the full trace, check if the exception was also logged on the Server.

Note You need to log in before you can comment on or make changes to this bug.